Page MenuHomePhabricator

Add Wiktionary and Wikivoyage projects to event metrics
Closed, ResolvedPublic1 Story Points

Description

Wikimetrics has been discontinued. Since this is the main (only?) source of metrics for Wikitionary, we will make Event Metrics available for that project. At the same time, we might as well add Wikivoyage, which has the same structure as Wikipedias.

We have no time in our schedule to customize Event Metrics for any unique needs these wikis may have, so this will be an as-is implementation (meaning no customization).

Event Timeline

Nuria created this task.Feb 25 2019, 4:58 PM
Restricted Application added a project: Community-Tech. · View Herald TranscriptFeb 25 2019, 4:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I suppose adding Wiktionary might work, since it appears it is primarily based on one-word = one page. So it would fit the structure of Event Metrics. But it seems like Wikisource, with its focus on books, might be pretty different. I'm not sure what would happen if we didn't adapt the metrics significantly. Anyone have an opinion?

it seems like Wikisource, with its focus on books, might be pretty different. I'm not sure what would happen if we didn't adapt the metrics significantly. Anyone have an opinion?

We talked about it briefly at T190461. In Berlin one organizer told me Event Metrics as-is (which just counts mainspace pages), is better than nothing. To fully meet their needs I think we need to capture the proofreading/validating workflows, e.g. T190461#4164708. @Samwilson I'm sure can offer some insight as well.

I think ideally we'd have Wikisource stats for pages proofread and pages validated, but they involve looking into edits to see what type they are and so might be tricky. I think T172408 would need to be done first. We're counting these things in tools such as tool-wscontest, but only with regexes on page content.

The basic stats of pages created and pages edited would be super useful as well, but would require the counting to be extended to the Page and Index namespaces because those (especially Page) are where the bulk of the edits are done.

Aklapper renamed this task from Add Wiktionary and WIkisource projects to event metrics to Add Wiktionary and Wikisource projects to event metrics .Feb 26 2019, 5:42 AM
jmatazzoni moved this task from Backlog to Freezer on the Event Metrics board.Mar 7 2019, 11:56 PM

I think ideally we'd have Wikisource stats for pages proofread and pages validated, but they involve looking into edits to see what type they are and so might be tricky. I think T172408 would need to be done first. We're counting these things in tools such as tool-wscontest, but only with regexes on page content.
The basic stats of pages created and pages edited would be super useful as well, but would require the counting to be extended to the Page and Index namespaces because those (especially Page) are where the bulk of the edits are done.

Sam, what is the Page namespace? That is different from the article/main namespace?

Sam, what is the Page namespace? That is different from the article/main namespace?

Yep, it's a separate namespace, and it's where the majority of Wikisource content lives. Wiki-pages in the Page namespace (yeah, nomenclature is slightly confusing) are transcluded into the main namespace. Most edits happen in the Page NS. The other main content namespaces are Author and Index (there's also Translation). Probably all should be considered "content edits" as far as Event Metrics is concerned.

Although, that makes me wonder if the general solution for Event Metrics could be to count stats for all content namespaces? Then it wouldn't be customizing for Wikisource at all.

jmatazzoni added a subscriber: Mooeypoo.

As noted above, we have no time for changing Event Metrics at this stage. So:

  • Would Event Metrics as-is provide value to Wiktionary and Wikisource organizers?
  • What is the level of effort involved in just turning it on?

@Samwilson? @Mooeypoo?

Sam thinks it is worthwhile to add Wikitionary, but not Wikisource.

jmatazzoni renamed this task from Add Wiktionary and Wikisource projects to event metrics to Add Wiktionary and Wikivoyage projects to event metrics .Mar 13 2019, 11:14 PM
MBinder_WMF set the point value for this task to 1.Mar 13 2019, 11:15 PM

Sam thinks it is worthwhile to add Wikitionary, but not Wikisource.

Just to clarify: this is because the content-namespaces of Wiktionary (and Wikivoyage) are the same as Wikipedia, whereas Wikisource has other namespaces that would need to be counted.

jmatazzoni added a subscriber: Sadads.

@Nuria, we will put this on our sprint board. The decision was that Wikisource's unique structure makes Event Metrics not useful there. And as we have no time for customization, we will not include that in this ticket. However we will include Wiktionary and Wikivoyage (since the latter has a structure identical to that of Wikipedias).

Nuria added a comment.Mar 14 2019, 4:48 PM

@jmatazzoni sounds good, many thanks.

MaxSem claimed this task.Mar 14 2019, 8:31 PM
MaxSem moved this task from Ready to In Development on the Community-Tech-Sprint board.

PR: https://github.com/wikimedia/eventmetrics/pull/225

I wanted to make category placeholders depend on allowed wikis, but decided not to because this was a problem that had existed before and thus needs to be prioritized separately.

jmatazzoni added a comment.EditedMar 26 2019, 7:23 PM
  • I tested this Wiktionary event with both Participants and Categories, and got metrics.
  • I tested this WikiVoyage event with both Participants and Categories, and got metrics.
Nuria added a comment.Mar 26 2019, 8:56 PM

Super thanks for working on this.

jmatazzoni closed this task as Resolved.Mar 26 2019, 11:58 PM

Resolving this ticket. Enter the Wikitionarians and Voyagers!